import { jsx } from "react/jsx-runtime";
import { RadioButton as RadioButton$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const RadioButton = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "RadioButton", ...props, children: /* @__PURE__ */ jsx(RadioButton$1, { weight: variant }) });
  }
);
RadioButton.displayName = "RadioButton";
Object.assign(RadioButton, { isGdsIcon: true });
export {
  RadioButton
};
